﻿
.cart {
    width: 1300px;
    max-width: 1300px;
    height: 100vh;
    overflow: auto;
    margin: auto;
    background-color: #f1f3f5;
}

.firstTab {
    border: none;
    width: 100%;
    text-align: center;
    border-radius: 6px;
    border-collapse: collapse;
    border-spacing: 0;
}

.firstTr {
    height: 50px;
    background-color: #f8f8fa;
    font-size: 14px;
    line-height: 50px;
    border: none;
}

    .firstTr > th:first-of-type {
        width: 3%;
        text-align: center;
    }

    .firstTr > th:nth-of-type(2) {
        width: 8%;
        text-align: left;
        margin-left: 5px;
    }

    .firstTr > th:nth-of-type(3) {
        width: 16%;
        text-align: center;
    }

    .firstTr > th:nth-of-type(4) {
        width: 12%;
        text-align: center;
    }

    .firstTr > th:nth-of-type(5) {
        width: 10%;
        text-align: center;
    }

    .firstTr > th:nth-of-type(6) {
        width: 10%;
        text-align: center;
    }

    .firstTr > th:nth-of-type(7) {
        width: 8%;
        text-align: center;
    }

firstTr th {
    font-style: normal;
    margin: 0;
    padding: 0;
}

.freeShipTips {
    margin: 10px;
    display: flex;
    flex-direction: row;
}

.freeShipTipsDiv {
    margin: 10px;
    display: flex;
    flex-direction: row;
}

p {
    margin: 0;
    padding: 0;
}

.freeShipTipsDiv span {
    color: #e1251b;
}

.ruidero {
    display: inline-block;
    width: 16px;
    height: 16px;
    line-height: 16px;
    color: #888;
    border: 1px solid #888;
    border-radius: 50%;
    text-align: center;
    font-size: 16px;
    margin-top: 8px;
    cursor: pointer;
}

.jiajia {
    margin-left: 2%;
    margin-top: 20px;
    margin-bottom: -4px;
    font-size: 14px;
}

.jiajiaout {
    position: relative;
    border: 1px solid #b1b1b1;
    margin: 12px auto;
    background-color: #f8f8f8;
}

table {
    width: 100%;
    border-radius: 6px;
    border-collapse: collapse;
    border-spacing: 0;
    display: table;
    box-sizing: border-box;
    text-indent: initial;
}

.bgcImg {
    position: absolute;
    top: 0;
    left: 0;
    height: 2px;
    width: 100%;
    overflow: hidden;
    background-image: url(/Images/ProDetail/line.png);
    background-repeat: repeat-x;
}

table > tbody {
    border-radius: 6px;
}

tr {
    border-bottom: 1px dashed #d1d1d1;
    height: 80px;
    font-size: large;
}

.rr {
    position: relative;
    min-height: 80px;
}

table > tbody > tr > td:first-of-type {
    text-align: center;
    min-height: 80px;
    width: 3%;
}

table > tbody > tr > td:nth-of-type(2) {
    text-align: left;
    width: 8%;
}

.cousP {
    cursor: pointer;
    height: 64px;
    vertical-align: middle;
}

table > tbody > tr > td:nth-of-type(3) {
    width: 16%;
}

.leftTd {
    text-align: left;
}

.oneBran {
    font-size: 14px;
    line-height: 22px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    cursor: pointer;
}

.proDes {
    font-size: 12px;
    line-height: 16px;
    color: #888;
}

.freeShipCateName {
    color: #e1251b;
    border: 1px solid #e1251b;
    display: inline-block;
    font-size: 12px;
    line-height: 20px;
    height: 20px;
    padding-left: 4px;
    padding-right: 4px;
}

table > tbody > tr > td:nth-of-type(4) {
    text-align: left;
    padding-left: 6%;
    width: 12%;
}

.jgTd {
    font-size: 20px;
    color: #cf0000;
}

.cross {
    font-size: 24px;
}

.crossPrice {
    font-size: 18px;
    color: #888;
    text-decoration-line: line-through;
}

table > tbody > tr > td:nth-of-type(5) {
    text-align: center;
    width: 10%;
}

.el-input-number {
    position: relative;
    display: inline-block;
    width: 160px;
}

.el-input-number__decrease {
    width: 32px;
    color: #606266;
    left: 1px;
    border-radius: 4px 0 0 4px;
    border-right: 1px solid #dcdfe6;
    position: absolute;
    z-index: 1;
    top: 1px;
    height: 30px;
    text-align: center;
    background: #f5f7fa;
    border: none;
}

.el-input-number .el-input {
    display: block;
    height: 32px;
    font-size: 16px;
    position: relative;
    width: 100%;
}

.el-input-number__increase {
    width: 32px;
    right: 1px;
    border-radius: 0 4px 4px 0;
    border-left: 1px solid #dcdfe6;
    position: absolute;
    z-index: 1;
    top: 1px;
    height: 30px;
    text-align: center;
    background: #f5f7fa;
    color: #606266;
    cursor: pointer;
    border: none;
}

.el-input__inner {
    height: 32px;
    line-height: 38px;
    padding-left: 30px;
    padding-right: 32px;
    text-align: center;
    -webkit-appearance: none;
    background-color: #fff;
    border-radius: 4px;
    border: 1px solid #dcdfe6;
    box-sizing: border-box;
    color: #606266;
    display: inline-block;
    font-size: inherit;
    outline: 0;
    width: 100%;
    background-image: none;
}

[class^=el-icon-] {
    font-family: element-icons !important;
    speak: none;
    font-style: normal;
    font-weight: 400;
    font-feature-settings: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    vertical-align: baseline;
    display: inline-block;
    -webkit-font-smoothing: antialiased;
}

table > tbody > tr > td:nth-of-type(6) {
    text-align: center;
    width: 10%;
}

table > tbody > tr > td:nth-of-type(7) {
    text-align: center;
    width: 8%;
}

    table > tbody > tr > td:nth-of-type(7) > button {
        color: #357edd;
    }

.bgcButton {
    font-size: 14px;
    cursor: pointer;
    width: auto;
    height: 36px;
    border: none;
    border-radius: 4px;
    background-color: hsla(0,0%,100%,0);
}
/*   */
.lastDiv {
    box-sizing: border-box;
    width: 100%;
    height: 64px;
    border: 1px solid rgba(89,89,89,.452);
    border-radius: 6px;
    margin: 24px auto;
}

    .lastDiv .settle {
        float: right;
        margin: 12px 24px;
        height: 60%;
        width: 10%;
        background-image: linear-gradient(#d51d29,#fc6641);
        color: #fff;
        cursor: pointer;
        border: none;
        border-radius: 4px;
        font-size: large;
    }

    .lastDiv > div:first-of-type {
        float: inherit;
        margin: 12px 24px;
    }

.curBtn {
    cursor: pointer;
    user-select: none;
    margin: auto 6px;
    padding: 6px 8px;
    display: inline-block;
    border: 1px solid #dc143c;
    color: #dc143c;
    border-radius: 6px;
}
